$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on('change', '.godown, .series', getrcstk);
    $("body").on('blur', '.qty', AutoAddRow);
//    $("body").on("focus", ".qty", autoadd);

    $("body").on("click", "#hedit", gfocus);

    $('#hedit').click(function () {
        $("#ssubmit").hide();
        $("#scancel").hide();

    });

    function gfocus() {
        $('.godown').focus();
    }

    function AutoAddRow() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }


    function getrcstk() {
        var godown = $('.godown').val(),
                series = $(".series").val();
        if (godown != '' && series != '') {
            $.post('get_opprod.php', {godown: godown, series: series}, function (data) {
            }).success(function (data) {
                $(".tbody").html(data);
                if (data.length > 0) {
                    $("#ssubmit").show();
                    $("#scancel").show();
                    var ctr = $("#items").val();
                    $.post('get_opctrprod.php', {godown: godown, ctr: ctr, series: series}, function (data1) {
                        $("#items").val(data1);
                    });
                } else {
                    $("#ssubmit").hide();
                    $("#scancel").hide();
                }



            });

        }
    }


    $('#addnew').click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
//        var detail = ".fetchpart_" + ctr;
        var focusFld = ".focusFld_" + ctr;
        $.post('openstk_prod_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
//            $(detail).select2();
            $(focusFld).focus();
            $("#ssubmit").show();
            $("#scancel").show();
        });
    }

    function remove() {
        $(this).closest("tr").remove();
    }

});